<!--
  ~ iparapheur Web
  ~ Copyright (C) 2019-2025 Libriciel SCOP
  ~
  ~ This program is free software: you can redistribute it and/or modify
  ~ it under the terms of the GNU Affero General Public License as published by
  ~ the Free Software Foundation, either version 3 of the License, or
  ~ (at your option) any later version.
  ~
  ~ This program is distributed in the hope that it will be useful,
  ~ but WITHOUT ANY WARRANTY; without even the implied warranty of
  ~ MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  ~ GNU Affero General Public License for more details.
  ~
  ~ You should have received a copy of the GNU Affero General Public License
  ~ along with this program. If not, see <http://www.gnu.org/licenses/>.
  -->

<div>
  <div class="modal-header">
    <h4
      class="modal-title overflow-hidden text-overflow-ellipsis text-nowrap"
      id="modal-basic-title"
      [innerText]="messages.getAdminDeskPopupModalTitle(desk)"></h4>
    <button
      type="button"
      class="btn-close"
      [title]="commonMessages.CLOSE"
      (click)="activeModal.dismiss(commonMessages.ACTION_RESULT_CANCEL)">
    </button>
  </div>

  <div class="modal-body">

    <ul
      ngbNav
      #nav="ngbNav"
      class="ip-tabs">

      <li
        [ngbNavItem]="messages.GENERAL_TAB_TITLE"
        [destroyOnHide]="false">
        <a ngbNavLink><span [innerText]="messages.GENERAL_TAB_TITLE"></span></a>
        <ng-template ngbNavContent>
          <div class="ls-form col-6">
            <app-general-desk-form
              [desk]="desk"
              [tenantId]="tenantId"
              (valid)="validateGeneralForm($event)">
            </app-general-desk-form>
          </div>
        </ng-template>
      </li>

      <li
        [ngbNavItem]="messages.OWNERS_TAB_TITLE"
        [destroyOnHide]="false">
        <a ngbNavLink><span [innerText]="messages.OWNERS_TAB_TITLE"></span></a>
        <ng-template ngbNavContent>
          <div class="ls-form col-12">
            <app-owners-desk-form
              [desk]="desk"
              [tenantId]="tenantId"
              [owners]="desk.owners">
            </app-owners-desk-form>
          </div>
        </ng-template>
      </li>

      <li
        [ngbNavItem]="messages.AUTHORISATIONS_TAB_TITLE"
        [destroyOnHide]="false">
        <a ngbNavLink><span [innerText]="messages.AUTHORISATIONS_TAB_TITLE"></span></a>
        <ng-template ngbNavContent>
          <div class="ls-form col-12">
            <app-authorisations [desk]="desk"></app-authorisations>
          </div>
        </ng-template>
      </li>

      <li
        [ngbNavItem]="messages.SUPERVISORS_TAB_TITLE"
        [destroyOnHide]="false">
        <a ngbNavLink><span [innerText]="messages.SUPERVISORS_TAB_TITLE"></span></a>
        <ng-template ngbNavContent>
          <div class="ls-form col-12">
            <app-supervisors-desk-form
              [desk]="desk"
              [tenantId]="tenantId"
              [supervisors]="desk.supervisors">
            </app-supervisors-desk-form>
          </div>
        </ng-template>
      </li>

      <li
        [ngbNavItem]="messages.DELEGATION_MANAGERS_TAB_TITLE"
        [destroyOnHide]="false">
        <a ngbNavLink><span [innerText]="messages.DELEGATION_MANAGERS_TAB_TITLE"></span></a>
        <ng-template ngbNavContent>
          <div class="ls-form col-12">
            <app-delegation-manager-desk-form
              [desk]="desk"
              [tenantId]="tenantId"
              [delegationManagers]="desk.delegationManagers">
            </app-delegation-manager-desk-form>
          </div>
        </ng-template>
      </li>

      <li
        [ngbNavItem]="messages.METADATA_TAB_TITLE"
        [destroyOnHide]="false">
        <a ngbNavLink><span [innerText]="messages.METADATA_TAB_TITLE"></span></a>
        <ng-template ngbNavContent>
          <div class="ls-form col-12">
            <app-desk-metadata
              [tenantId]="tenantId"
              [linkedMetadata]="desk.filterableMetadata">
            </app-desk-metadata>
          </div>
        </ng-template>
      </li>

      <li
        [ngbNavItem]="commonMessages.ASSOCIATED_DESKS"
        [destroyOnHide]="false">
        <a ngbNavLink><span [innerText]="commonMessages.ASSOCIATED_DESKS"></span></a>
        <ng-template ngbNavContent>
          <div class="ls-form col-12">
            <app-associates
              [tenantId]="tenantId"
              [desk]="desk"
              [associates]="desk.associatedDesks">
            </app-associates>
          </div>
        </ng-template>
      </li>

    </ul>

    <div
      [ngbNavOutlet]="nav"
      class="py-4">
    </div>

  </div>

  <div class="modal-footer">
    <button
      ls-button-cancel
      (click)="activeModal.close(commonMessages.ACTION_RESULT_CANCEL)">
    </button>
    <button
      ls-button-save
      (click)="validate()"
      [disabled]="!validForms()"
      [processing]="isProcessing"
    ></button>
  </div>
</div>
